Loading...
Searching...
No Matches
servermon::ServerMonitor::ServerStatus Struct Reference

Server Reachability Status. More...

## Public Attributes

ServerPowerState | powerState
| Power control state.
ServerPowerControlResult | lastPowerControlResult
| Last result of a power control operation.
ServerReachability | reachable
| Reachability state.
time | lastRequest
| UNIX timestamp (UTC) of last request sent.
time | lastResponse
| UNIX timestamp (UTC) of last response received.
int | requests
| Number of requests sent.
int | responses
| Number of responses received.
int | failures
| Number of consecutive failed pings.
int | resumes
| Number of resumes.

## Detailed Description

Server Reachability Status.

The documentation for this struct was generated from the following file:

- ServerMonitor.idl